﻿// ICharacterController.cs
// by Dickson Cho
// August 2016
using UnityEngine;
using System.Collections;

/// <summary>
/// Character controller class which moves the character depending on what input
/// is given. This is where you will find functions like "move" and "jump". This
/// interface will be used for controlling all characters (players, AI enemies, etc)
/// </summary>
public abstract class ICharacterController : MonoBehaviour
{
	public abstract void MoveForward();
	public abstract void MoveBackward();
	public abstract void MoveLeft();
	public abstract void MoveRight();

	public abstract void Reset();			// Reset the character if stuck
}
