﻿// Player.cs
// by Dickson Cho
// August 2016
using UnityEngine;
using System.Collections;

/// <summary>
/// Player class which handles how the player behaves in the world. If this were a
/// more complicated game, then this would derive off of a Character class
/// </summary>
public class Player : MonoBehaviour
{
	private float m_CurrentBallRadius;			// The radius of our colliders

	private void Update()
	{
		// Get this from the colliders later
		m_CurrentBallRadius = gameObject.GetComponent<SphereCollider>().radius;

		Vector3 speed = gameObject.GetComponent<Rigidbody>().velocity;
		GameManager.GetInstance().m_MetersPerSecond = speed.magnitude;
	}

	public float GetBallRadius()
	{
		return m_CurrentBallRadius;
	}

}
