﻿// PlayerController.cs
// by Dickson Cho
// August 2016
using UnityEngine;
using System.Collections;
using System;

/// <summary>
/// Player controller class which moves the player character
/// </summary>
public class PlayerController : ICharacterController
{
	public float m_MovementForce;		// How much force we should use to move the player
	public GameObject m_CameraRig;		// The camera rig looking at us (determines what "forward" means)
	public Vector3 m_StartingPosition;	// Where do we spawn in the world?

	public override void MoveForward()
	{
		Vector3 forward = m_CameraRig.transform.forward;
		gameObject.GetComponent<Rigidbody>().AddForce(forward.normalized * m_MovementForce);
	}

	public override void MoveBackward()
	{
		Vector3 backward = m_CameraRig.transform.forward * -1;
		gameObject.GetComponent<Rigidbody>().AddForce(backward.normalized * m_MovementForce);
	}

	public override void MoveLeft()
	{
		Vector3 left = m_CameraRig.transform.right * -1;
		gameObject.GetComponent<Rigidbody>().AddForce(left.normalized * m_MovementForce);
	}

	public override void MoveRight()
	{
		Vector3 right = m_CameraRig.transform.right;
		gameObject.GetComponent<Rigidbody>().AddForce(right.normalized * m_MovementForce);
	}

	public override void Reset()
	{
		gameObject.transform.position = m_StartingPosition;
	}
}
