﻿// UIManager.cs
// by Dickson Cho
// August 2016
using UnityEngine;
using UnityEngine.UI;
using System.Collections;

/// <summary>
/// This takes care of all aspects of the in-game UI (HUD)
/// </summary>
public class UIManager : MonoBehaviour
{
	public Text m_StatusHUD;
	public Text m_WinScreen;
	
	/// <summary>
	/// We won the game! Tell the user
	/// </summary>
	public void DisplayWinScreen()
	{
		m_WinScreen.gameObject.SetActive(true);
	}

	public void DisplayHUD(bool bShouldDisplay)
	{
		m_StatusHUD.gameObject.SetActive(bShouldDisplay);
	}

	private void Start()
	{
		DisplayHUD(false);
	}

	private void Update()
	{
		UpdateStatusHUD();
	}

	/// <summary>
	/// Updates the status HUD in the upper right corner (mass, speed, etc)
	/// </summary>
	private void UpdateStatusHUD()
	{
		string statusString = "";
		statusString += (int)GameManager.GetInstance().m_MetersPerSecond + " m/sec\n";
		statusString += (int)GameManager.GetInstance().m_Kilograms + " / " + (int)GameManager.GetInstance().m_WinConditionMass + " kg\n";

		m_StatusHUD.text = statusString;
	}

}
